# $Revision: 1.80 $, $Date: 2011/02/21 18:44:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Time
%define		pnam	HiRes
Summary:	Time::HiRes - high resolution alarm, sleep, gettimeofday, interval timers
Summary(pl.UTF-8):	Time::HiRes - wysokiej rozdzielczości funkcje alarm, sleep, gettimeofday i liczniki
Name:		perl-Time-HiRes
Version:	1.9721
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Time/JHI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bf09911a36b9481537c8e0d28fbb3aaf
URL:		http://search.cpan.org/dist/Time-HiRes/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# remove the line below if you *really* have newer version than one
# available in perl-modules
#BuildRequires:	this-must-be-newer-version-than-in-perl-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Time::HiRes - High resolution ualarm, usleep, and gettimeofday.

%description -l pl.UTF-8
Time::HiRes to interfejs Perla dla funkcji systemowych: ualarm, usleep
i gettimeofday.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorarch}/Time/HiRes.pm
%dir %{perl_vendorarch}/auto/Time/HiRes
%{perl_vendorarch}/auto/Time/HiRes/HiRes.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Time/HiRes/HiRes.so
%{_mandir}/man3/Time::HiRes.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Time-HiRes.spec,v $
Revision 1.80  2011/02/21 18:44:22  qboosh
- updated to 1.9721

Revision 1.79  2010/10/29 17:07:13  hawk
- release 3

Revision 1.78  2010/06/06 08:43:39  arekm
- release 2

Revision 1.77  2009/09/14 19:56:43  arekm
- up to 1.9719

Revision 1.76  2008/12/01 14:04:00  arekm
- up to 1.9715

Revision 1.75  2008-03-02 15:18:18  radek
- version 1.9712

Revision 1.74  2008-02-10 12:22:01  arekm
- rel 2

Revision 1.73  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.72  2007-12-01 17:42:19  agaran
- up to 1.9711, builds here

Revision 1.71  2007-05-29 22:44:07  qboosh
- reverted to gpm-friendly version

Revision 1.70  2007/05/29 21:52:14  agaran
- up to 1.9707, rel 1, builds here

Revision 1.69  2007/02/15 11:24:27  qboosh
- generic URL

Revision 1.68  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.67  2007/02/12 11:01:48  blaass
- up to 1.9705

Revision 1.66  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.65  2006/10/27 19:02:08  qboosh
- grepable files
- vendorarch/Time dir belongs to perl-dirs now

Revision 1.64  2006/10/21 17:11:34  ankry
- ver. 1.94

Revision 1.63  2006/04/04 10:48:35  radek
- release 1

Revision 1.62  2006/02/20 00:53:24  agaran
- up to 1.87 rel 0.1 , testing on localhost

Revision 1.61  2005/10/31 14:13:43  czucz
- updated to 1.76

Revision 1.60  2005/10/28 07:09:37  hawk
- release 3 (2 went to Ra)

Revision 1.59  2005/07/23 21:10:55  radek
- version 1.72

Revision 1.58  2004/12/27 16:41:48  adamg
- updated to 1.66

Revision 1.57  2004/11/03 22:30:52  paladine
- formatting

Revision 1.56  2004/10/24 17:05:52  paladine
- spelling fixes, uppercases, etc.

Revision 1.55  2004/10/23 22:12:40  qboosh
- updated to 1.65

Revision 1.54  2004/09/18 11:07:44  radek
- version 1.63

Revision 1.53  2004/09/05 20:37:29  adamg
- updated to 1.62

Revision 1.52  2004/08/21 20:25:02  adamg
- updated to 1.61

Revision 1.51  2004/06/02 16:47:04  ankry
- added bogus BR

Revision 1.50  2004/06/02 16:43:49  ankry
- readded

Revision 1.48  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.47  2004/05/06 18:43:23  ankry
- fixed perl-devel BR

Revision 1.46  2004/05/03 21:42:44  ankry
- licence fix

Revision 1.45  2004/04/11 07:50:39  agaran
 - updated to 1.59

Revision 1.44  2004/04/08 19:04:20  adamg
- updated to 1.57

Revision 1.43  2004/03/06 19:18:46  adamg
- updated to 1.56

Revision 1.42  2004/01/25 00:09:57  arekm
- autoupdated to 1.55

Revision 1.41  2003/11/01 13:59:02  qboosh
- updated to 1.52, new-style bcond

Revision 1.40  2003/09/18 13:22:26  adamg
- updated to 1.50

Revision 1.39  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.38  2003/08/18 08:09:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.37  2003/06/11 14:07:31  qboosh
- up to 1.48

Revision 1.36  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 06:25:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/04/11 18:59:37  radek
- BR: perl-devel; do not BR: perl

Revision 1.33  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.32  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.31  2003/02/18 15:39:02  ankry
- massive attack: change CPAN URLs

Revision 1.30  2003/02/09 03:12:43  radek
- version 1.42

Revision 1.29  2002/10/18 01:30:35  ankry
- updated to 1.38

Revision 1.28  2002/09/29 10:37:57  radek
- version 1.37

Revision 1.27  2002/09/12 22:23:10  radek
- cosmetics

Revision 1.26  2002/09/12 22:21:24  radek
- version 1.36

Revision 1.25  2002/08/31 12:21:15  qboosh
- pl summary, release 2

Revision 1.24  2002/08/28 19:39:27  radek
- version 1.35, added informative summary

Revision 1.23  2002/07/18 13:51:04  ankry
- cleaning
- added %%{perl_sitearch}/Time
- release 10

Revision 1.22  2002/07/16 11:36:55  ankry
- translations, cleaning
- new %%doc
- release 9

Revision 1.21  2002/07/10 09:02:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:35:20  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:21:24  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:37:15  depesz
adapterized

Revision 1.15  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.13  2001/04/17 12:17:43  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 21:50:01  kloczek
- release 5: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/12/18 22:58:38  kloczek
- release 4: use new rpm automation.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
